Error after PHP update (Debian)


(pboese) #1

After we upgraded our server to 5.2.6-1+lenny9 I get the following error when opening our piwik install:

Invalid argument supplied for foreach()
in ‘/piwik/core/Config.php’ at the line 296

#0 Piwik_ErrorHandler(…) called at [/piwik/core/Config.php:296]
#1 Piwik_Config->cacheConfigArray(…) called at [/piwik/core/Config.php:340]
#2 Piwik_Config->__get(…) called at [/piwik/core/FrontController.php:226]
#3 Piwik_FrontController->init(…) called at [/piwik/index.php:58]


(pboese) #2

Also, the counting script (piwik.php) produces this fine error messagt (screenshot):

http://tinypic.com/r/21mcjd1/7


(vipsoft) #3

Your version of php can’t parse the config/*.ini.php files?